Debian Bug report logs - #629586
FTBFS on kfreebsd-i386: ld: 3dfx.kld(set_modmetadata_set+0x0): reloc against `.data': error 4

version graph

Package: binutils; Maintainer for binutils is Matthias Klose <doko@debian.org>; Source for binutils is src:binutils.

Reported by: Robert Millan <rmh@debian.org>

Date: Tue, 7 Jun 2011 21:36:12 UTC

Severity: serious

Tags: fixed-upstream, sid, upstream

Merged with 628770

Found in version binutils/2.21.51.20110601-1

Fixed in version binutils/2.21.52.20110606-1

Done: Petr Salinger <Petr.Salinger@seznam.cz>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#629586; Package kfreebsd-8. (Tue, 07 Jun 2011 21:36:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 07 Jun 2011 21:36:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS on kfreebsd-i386: ld: 3dfx.kld(set_modmetadata_set+0x0): reloc against `.data': error 4
Date: Tue, 07 Jun 2011 23:35:36 +0200
Package: kfreebsd-8
Version: 8.2-1.1
Severity: serious

===> 3dfx (all)
gcc-4.6 -g -O2 -fno-strict-aliasing -D_KERNEL -DKLD_MODULE -nostdinc   -DHAVE_KERNEL_OPTION_HEADERS -include /build/buildd-kfreebsd-8_8.2-1.1-kfreebsd-i386-MZ2cCE/kfreebsd-8-8.2/flavor-8.2-1-486/sys/i386/compile/DEBCUSTOM/opt_global.h -I. -I@ -I@/contrib/altq -finline-limit=8000 --param inline-unit-growth=100 --param large-function-growth=1000 -fno-common  -I/build/buildd-kfreebsd-8_8.2-1.1-kfreebsd-i386-MZ2cCE/kfreebsd-8-8.2/flavor-8.2-1-486/sys/i386/compile/DEBCUSTOM -mpreferred-stack-boundary=2  -mno-mmx -mno-3dnow -mno-sse -mno-sse2 -mno-sse3 -ffreestanding -std=iso9899:1999  -c /build/buildd-kfreebsd-8_8.2-1.1-kfreebsd-i386-MZ2cCE/kfreebsd-8-8.2/flavor-8.2-1-486/sys/modules/3dfx/../../dev/tdfx/tdfx_pci.c
ld  -d -warn-common -r -d -o 3dfx.kld tdfx_pci.o
:> export_syms
awk -f /build/buildd-kfreebsd-8_8.2-1.1-kfreebsd-i386-MZ2cCE/kfreebsd-8-8.2/flavor-8.2-1-486/sys/i386/compile/DEBCUSTOM/../../../conf/kmod_syms.awk 3dfx.kld  export_syms | xargs -I% objcopy % 3dfx.kld
gen-ld-u-options 3dfx.kld > 3dfx.lopt
ld -Bshareable -z common-page-size=8192  -d -warn-common -o 3dfx.ko 3dfx.kld "@3dfx.lopt"
ld: 3dfx.kld(set_modmetadata_set+0x0): reloc against `.data': error 4
ld: final link failed: Nonrepresentable section on output
*** Error code 1

https://buildd.debian.org/fetch.cgi?pkg=kfreebsd-8;ver=8.2-1.1;arch=kfreebsd-i386;stamp=1307463811

-- System Information:
Debian Release: 6.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=ca_AD.utf8, LC_CTYPE=ca_AD.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kfreebsd-image-8.2-1-amd64 depends on:
ii  freebsd-utils                 8.1-4+b1   FreeBSD utilities needed for GNU/k
ii  kldutils                      8.1-4+b1   tools for managing kFreeBSD module

kfreebsd-image-8.2-1-amd64 recommends no packages.

kfreebsd-image-8.2-1-amd64 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#629586; Package kfreebsd-8. (Wed, 08 Jun 2011 04:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 08 Jun 2011 04:45:02 GMT) Full text and rfc822 format available.

Message #10 received at 629586@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: kfreebsd-i386@buildd.debian.org
Cc: 629586@bugs.debian.org
Subject: Re: Bug#629586: FTBFS on kfreebsd-i386: ld: 3dfx.kld(set_modmetadata_set+0x0): reloc against `.data': error 4
Date: Wed, 8 Jun 2011 06:48:39 +0200 (CEST)
> Package: kfreebsd-8

> ld -Bshareable -z common-page-size=8192  -d -warn-common -o 3dfx.ko 3dfx.kld "@3dfx.lopt"
> ld: 3dfx.kld(set_modmetadata_set+0x0): reloc against `.data': error 4
> ld: final link failed: Nonrepresentable section on output
> *** Error code 1

Might be related to binutils #628770.

Please could you upgrade in experimental chroot
binutils to 2.21.52.20110606-1 and requeue ?

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#629586; Package kfreebsd-8. (Thu, 09 Jun 2011 08:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 09 Jun 2011 08:33:06 GMT) Full text and rfc822 format available.

Message #15 received at 629586@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: kfreebsd-i386@buildd.debian.org, 629586@bugs.debian.org
Subject: Re: Bug#629586: FTBFS on kfreebsd-i386: ld: 3dfx.kld(set_modmetadata_set+0x0): reloc against `.data': error 4
Date: Thu, 9 Jun 2011 10:30:35 +0200
On Wed, Jun 08, 2011 at 06:48:39AM +0200, Petr Salinger wrote:
> 
> >Package: kfreebsd-8
> 
> >ld -Bshareable -z common-page-size=8192  -d -warn-common -o 3dfx.ko 3dfx.kld "@3dfx.lopt"
> >ld: 3dfx.kld(set_modmetadata_set+0x0): reloc against `.data': error 4
> >ld: final link failed: Nonrepresentable section on output
> >*** Error code 1
> 
> Might be related to binutils #628770.
> 
> Please could you upgrade in experimental chroot
> binutils to 2.21.52.20110606-1 and requeue ?
> 

I confirm it is related to this issue, buildds upgraded, and package
requeued.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Bug reassigned from package 'kfreebsd-8' to 'binutils'. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Thu, 09 Jun 2011 17:15:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 8.2-1.1. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Thu, 09 Jun 2011 17:15:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions binutils/2.21.51.20110601-1. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Thu, 09 Jun 2011 17:15:04 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions binutils/2.21.52.20110606-1. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Thu, 09 Jun 2011 17:15:05 GMT) Full text and rfc822 format available.

Forcibly Merged 628770 629586. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Thu, 09 Jun 2011 17:15:06 GMT) Full text and rfc822 format available.

Reply sent to Petr Salinger <Petr.Salinger@seznam.cz>:
You have taken responsibility. (Thu, 09 Jun 2011 17:15:15 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Thu, 09 Jun 2011 17:15:15 GMT) Full text and rfc822 format available.

Message #30 received at 629586-close@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 629586-close@bugs.debian.org
Cc: control@bugs.debian.org
Subject: kfreebsd-i386: ld: 3dfx.kld(set_modmetadata_set+0x0): reloc against `.data': error 4
Date: Thu, 9 Jun 2011 19:20:14 +0200 (CEST)
reassign 629586 binutils 2.21.51.20110601-1
fixed 629586 2.21.52.20110606-1
forcemerge 629586 628770
Version: 2.21.52.20110606-1





Reply sent to Petr Salinger <Petr.Salinger@seznam.cz>:
You have taken responsibility. (Thu, 09 Jun 2011 17:15:16 GMT) Full text and rfc822 format available.

Notification sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Bug acknowledged by developer. (Thu, 09 Jun 2011 17:15:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Jul 2011 07:37:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:58:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.